Name:			fotoxx
Version:		9.8.1
Release:		%mkrel 1
Summary:		Editor of image files from digital cameras
License:		GPLv3
Group:			Graphics
Source:			http://kornelix.squarespace.com/storage/downloads/%{name}-%{version}.tar.gz
Patch0:			fotoxx-9.8-link.patch
URL:			http://kornelix.squarespace.com/fotoxx/
BuildRoot:		%_tmppath/%name-%version-%release-buildroot
BuildRequires:		libgtk+2.0-devel
BuildRequires:		ufraw
BuildRequires:		perl-Image-ExifTool
BuildRequires:		tiff-devel
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils
Requires:		exiv2
Requires:		ufraw
Requires:		perl-Image-ExifTool

%description
Edit image files from a digital camera. Includes color and contrast
enhancement, red-eye removal, sharpen, crop, rotate, noise removal,
HDR (high dynamic range) and panorama image compositing, thumbnail
image browser, tag editing and search.

%prep
%setup -q
%patch0 -p0

%build
export CFLAGS="%optflags"
export LFLAGS="%ldflags"
%make PREFIX=%{_prefix}

%install
rm -rf %buildroot
%__make PREFIX=%{buildroot}%{_prefix} install

# man page
%__make PREFIX=%{buildroot}%{_prefix} manpage

# menu icon
mkdir -p %buildroot%_datadir/icons/hicolor/48x48/apps
cp %buildroot%_datadir/%name/icons/%name.png %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png

# menu entry
mkdir -p %buildroot%_datadir/applications
cat << EOF > %buildroot%_datadir/applications/%name.desktop
[Desktop Entry]
Name=%name
GenericName=Image Editor
Comment=Edit image files from a digital camera
Exec=%_bindir/%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;X-MandrivaLinux-CrossDesktop;
EOF

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post
%update_desktop_database
%update_icon_cache hicolor
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_desktop_database
%clean_icon_cache hicolor
%clean_menus
%endif

%files
%defattr(-,root,root,-)
%_docdir/%name
%_bindir/%name
%_datadir/%name
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/48x48/apps/%name.png
%{_mandir}/man1/fotoxx.1*



%changelog
* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 9.8.1-1mdv2010.1
+ Revision: 527403
- new version 9.8.1

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 9.8-1mdv2010.1
+ Revision: 526016
- New version 9.8

* Sun Mar 07 2010 Funda Wang <fwang@mandriva.org> 9.7-1mdv2010.1
+ Revision: 515341
- New version 9.7

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 9.5-1mdv2010.1
+ Revision: 500826
- New version 9.5
- fix linkage

* Fri Jan 22 2010 Jérôme Brenier <incubusss@mandriva.org> 9.4-1mdv2010.1
+ Revision: 495050
- new version 9.4
- drop Patch0, the desktop file install being now optionnal

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 9.1-1mdv2010.1
+ Revision: 482705
- new version 9.1

* Wed Dec 23 2009 Jérôme Brenier <incubusss@mandriva.org> 9.0-2mdv2010.1
+ Revision: 481892
- Patch0 : don't autocreate a .desktop file (already done in the specfile)

* Wed Dec 23 2009 Jérôme Brenier <incubusss@mandriva.org> 9.0-1mdv2010.1
+ Revision: 481844
- new version 9.0

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 8.6.2-1mdv2010.1
+ Revision: 462390
- Update to new version 8.6.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4.3-1mdv2010.0
+ Revision: 450652
- Update to new version 8.4.3

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4.1-1mdv2010.0
+ Revision: 440696
- Update to new version 8.4.1

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4-1mdv2010.0
+ Revision: 438983
- Update to new version 8.4

* Wed Sep 02 2009 Frederik Himpe <fhimpe@mandriva.org> 8.3-1mdv2010.0
+ Revision: 425457
- Update to new version 8.3

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 8.2.2-1mdv2010.0
+ Revision: 422231
- Update to new version 8.2.2
- License has changed to GPLv3

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 7.7-1mdv2010.0
+ Revision: 399084
- Update to new version 7.7

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 7.6-1mdv2010.0
+ Revision: 398324
- Update to new version 7.6

* Fri May 15 2009 Frederik Himpe <fhimpe@mandriva.org> 6.8-1mdv2010.0
+ Revision: 376226
- Update to new version 6.8

* Sat Apr 04 2009 Nicolas Vigier <nvigier@mandriva.com> 6.4.1-1mdv2009.1
+ Revision: 364017
- version 6.4.1

* Fri Mar 20 2009 Nicolas Vigier <nvigier@mandriva.com> 6.2-1mdv2009.1
+ Revision: 359096
- version 6.2

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 5.8-1mdv2009.1
+ Revision: 324679
- New upstream release

* Thu Oct 23 2008 Nicolas Vigier <nvigier@mandriva.com> 5.4.1-2mdv2009.1
+ Revision: 296712
- add requires on exiv2 (#45195)
- fix doc path (#45195)
- complete url

* Tue Oct 21 2008 Nicolas Vigier <nvigier@mandriva.com> 5.4.1-1mdv2009.1
+ Revision: 296224
- fix summary, reindent description, remove buildroot before install
- import fotoxx


* Sat Oct 11 2008 incubusss <jejebr@orange.fr> 5.4-1mdv2009.0
- initial package
